#!/usr/bin/env bash

set -e

binds=()

function eval_arg_for_bindstr() {
    IFS='=' read -ra ARGS <<< "$1"

    for arg in ${ARGS[@]}; do
        if [ -f "$arg" ] || [ -d "$arg" ]; then
            binds+=($(realpath --no-symlinks $arg))
        fi
    done
}

eval_arg_for_bindstr "$CSPP_ACSPO_HOME"
eval_arg_for_bindstr "$CSPP_ACSPO_BIAS"
eval_arg_for_bindstr "$CSPP_HEAP_HOME"
eval_arg_for_bindstr "$CSPP_MIRS_HOME"
eval_arg_for_bindstr "$CSPP_DYNAMIC_ANCIL"

for var in "$@"
do
    eval_arg_for_bindstr "$var"
done

printf -v joined '%s,' "${binds[@]}"
echo "--bind ${joined%,}"
